Page MenuHomePhabricator

Make target wikis aware of replying deployment strategy
Closed, ResolvedPublic

Description

Prior to v1.0 (T235592) of the new replying workflow being released, contributors to the target wikis (Arabic, Dutch, French and Hungarian) need to be aware of how we plan to deploy the feature.

This task is about sharing our deployment strategy (T240607) with contributors to the target wikis and synthesizing any feedback they might have.

Open questions

Ar.wiki

  • Where should public announcements about the project be made?
  • Where on the wiki should contributors share their feedback?

Hu.wiki

  • Which village pump should public announcements about the project be posted to?
  • Where on the wiki should contributors share their feedback?

Information to communicate

  • Deployment plan
    • Step 1: deploy replying feature via query string parameter (read: Reply tool is accessible to anyone on the wiki provided they use the special URL which we will include in the announcement)
    • Step 2: deploy replying feature as a Beta Feature
    • Step 3: if contributors find value in the replying feature, it will be deployed for everyone on the wiki to use (as an opt-out Preference)
    • Note: the feature will evolve over time. See the project page for a list of planned enhancements: /Talk_pages_project/replying#Versions
  • Deployment timing
    • The feature will be deployed as an opt-in Beta Feature as soon as Tuesday, 25-February
  • Trying the feature before deployment
    • Contributors can try the feature now, before it is deployed a Beta Feature, by appending ?dtenable=1 to any talk page URL on the wiki
  • Feedback
    • Link to where contributors can test DiscussionTools prior to deployment
  • Future updates
    • Where people can expect to see updates from the Editing Team posted
      • "Updates" could include information about bugs, enhancements to the feature, deployment plans, etc.

Announcement + feedback locations

Target wikiAnnouncement locationFeedback location
Arabic WikipediaVillage Pump (technical)Main project page at mw.org
Dutch WikipediaVillage pumpProject talk page (previously WP:Discussietools which now redirects to the project talk page)
French WikipediaProjet:Outils de discussionProjet:Outils de discussion/Discussion
Hungarian WikipediaVillage pump (news)Consultation page

Done

  • Open questions are resolved
  • One public post is made on each of the target wikis (Arabic, Dutch, French and Hungarian) making them aware of the "Information to communicate" above

Details

Due Date
Feb 25 2020, 2:00 AM

Event Timeline

ppelberg created this task.Feb 10 2020, 3:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2020, 3:43 AM
ppelberg updated the task description. (Show Details)Feb 10 2020, 4:05 AM
JTannerWMF triaged this task as High priority.Feb 11 2020, 4:32 PM
JTannerWMF added a subscriber: JTannerWMF.

Ideally we want this to go out ideally by the end of this week. Please talk to @ppelberg for rationale.

ppelberg updated the task description. (Show Details)Feb 13 2020, 4:19 PM
ppelberg updated the task description. (Show Details)Feb 18 2020, 11:54 PM

Task description update

  • DELETED: @Whatamidoing-WMF and @ppelberg to discuss whether this is required
    • Reason: we want to do this (read: this is required). For added context, this conversation on nl.wiki [1] is a good reminder why we need to clearly and proactively communicate the decisions and plans we make.

  1. https://nl.wikipedia.org/wiki/Overleg_gebruiker:Ad_Huikeshoven#Reply-functie
ppelberg updated the task description. (Show Details)Feb 20 2020, 10:57 PM

20-February update

Notes from this afternoon's conversations between @Whatamidoing-WMF + @ppelberg (me) are below. More information about each of these points is now included in the task description.

Meeting notes

  • By eod Monday, 24-February, @Whatamidoing-WMF will draft and publish announcements on each of the 4 target wikis.
  • What these announcements will will contain is now described in the "Information to communicate" section of the task description
  • Where these announcements will be posted is now described in the "Announcement + feedback locations" section of the task description
ppelberg set Due Date to Feb 25 2020, 2:00 AM.Feb 20 2020, 10:58 PM

@Whatamidoing-WMF The announcement is done in Arabic, today on the technical village pump in Ar Wiki.

JTannerWMF updated the task description. (Show Details)Feb 24 2020, 12:48 AM
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF closed this task as Resolved.Feb 24 2020, 10:01 PM
Whatamidoing-WMF updated the task description. (Show Details)

@ppelberg, I think we're done. Please let me know when it reaches Beta Features.

ppelberg added a subscriber: Samat.Feb 25 2020, 1:16 AM

@Whatamidoing-WMF The announcement is done in Arabic, today on the technical village pump in Ar Wiki.

Thank you for your help posting on ar.wiki, @Dyolf77_WMF and thank you, @Samat for posting on hu.wiki [1]!

@ppelberg, I think we're done.

I think we are done too; I've indicated as much in the task description.

Please let me know when it reaches Beta Features.

Will do. See the "Done" portion of this task's description: T245794: Enable config flag to make Replying v1.0 available as Beta Feature (on target wikis)


  1. https://hu.wikipedia.org/wiki/Wikip%C3%A9dia:Kocsmafal_(h%C3%ADrek)#Vitalapok_fejleszt%C3%A9se
Marc updated the task description. (Show Details)Jul 20 2020, 11:16 PM